<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.baseinfo.warn.mapper.WarnSettingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rtuWarnSettingEntityResultMap"
               type="org.springblade.modules.baseinfo.warn.entity.WarnSettingEntity">
        <result column="org_id" property="orgId"/>
        <result column="warn_active" property="warnActive"/>
        <result column="site_offline_warn_active" property="siteOfflineWarnActive"/>
        <result column="up_delay_warn_active" property="upDelayWarnActive"/>
        <result column="water_level_sensor_warn_active" property="waterLevelSensorWarnActive"/>
        <result column="ac_charge_warn_active" property="acChargeWarnActive"/>
        <result column="battery_voltage_warn_active" property="batteryVoltageWarnActive"/>
        <result column="rtu_clock_warn_active" property="rtuClockWarnActive"/>
        <result column="collect_value_outlier_active" property="collectValueOutlierActive"/>
        <result column="sd_warn_active" property="sdWarnActive"/>
        <result column="rtu_datagram_up_warn_active" property="rtuDatagramUpWarnActive"/>
        <result column="sun_power_charge_warn_active" property="sunPowerChargeWarnActive"/>
        <result column="water_level_over_warn_active" property="waterLevelOverWarnActive"/>
        <result column="water_flow_over_warn_active" property="waterFlowOverWarnActive"/>
        <result column="water_quality_warn_active" property="waterQualityWarnActive"/>
        <result column="water_flow_sensor_warn_active" property="waterFlowSensorWarnActive"/>
        <result column="box_door_warn_active" property="boxDoorWarnActive"/>
        <result column="rtu_memory_warn_active" property="rtuMemoryWarnActive"/>
        <result column="rtu_ic_card_warn_active" property="rtuIcCardWarnActive"/>
        <result column="water_pump_warn_active" property="waterPumpWarnActive"/>
        <result column="water_remain_over_warn_active" property="waterRemainOverWarnActive"/>
        <result column="warn_clock_auto_task" property="warnClockAutoTask"/>
        <result column="warn_delay_auto_task" property="warnDelayAutoTask"/>
        <result column="warn_offline_auto_task" property="warnOfflineAutoTask"/>
        <result column="warn_miss_out_auto_task" property="warnMissOutAutoTask"/>
        <result column="warn_outlier_value_auto_task" property="warnMissOutAutoTask"/>
        <result column="warn_hour_up_delay_auto_task" property="warnHourUpDelayAutoTask"/>
        <result column="warn_rain_delay_min_duration" property="warnRainDelayMinDuration"/>
        <result column="warn_river_delay_min_duration" property="warnRiverDelayMinDuration"/>
        <result column="warn_rsvr_delay_min_duration" property="warnRsvrDelayMinDuration"/>
        <result column="warn_ground_delay_min_duration" property="warnGroundDelayMinDuration"/>
        <result column="warn_rain_delay_hour_duration" property="warnRainDelayHourDuration"/>
        <result column="warn_river_delay_hour_duration" property="warnRiverDelayHourDuration"/>
        <result column="warn_rsvr_delay_hour_duration" property="warnRsvrDelayHourDuration"/>
        <result column="warn_ground_delay_hour_duration" property="warnGroundDelayHourDuration"/>
        <result column="warn_rain_offline_duration" property="warnRainOfflineDuration"/>
        <result column="warn_river_offline_duration" property="warnRiverOfflineDuration"/>
        <result column="warn_rsvr_offline_duration" property="warnRsvrOfflineDuration"/>
        <result column="warn_ground_offline_duration" property="warnGroundOfflineDuration"/>
    </resultMap>
</mapper>
